<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Ad World | {% block title %}{% endblock %}</title>
    {% block styles %}
    <!-- Bootstrap CSS -->
    {{ bootstrap.load_css() }}
    <!-- Main CSS-->
    <link rel="stylesheet" type="text/css" href="static/css/main.css">
    {% endblock %}
</head>

<body>
    {% for category, message in get_flashed_messages(with_categories=True) %}
        {% if category == "message" %}
        <div class="alert alert-success text-center">{{ message }}</div>
        {% else %}
        <div class="alert alert-danger text-center">{{ message }}</div>
        {% endif %}
    {% endfor %}


    {% block body %}
    {% endblock %}

    
    {% block script %}
        <!-- Bootstrap JavaScript -->
        {{ bootstrap.load_js() }}
    {% endblock %}

    {% block footer %}
    {% endblock %}
</body>

</html>